Create a form

Body·
application/json
  • title
    Type: string
    min length:  
    1
    max length:  
    200
    required
  • description
    Type: string
    max length:  
    2000
  • fields
    Type: array · …100
  • slug
    Type: string
    min length:  
    2
    max length:  
    64
    Pattern: ^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$
  • status
    Type: string enum
    values
    • draft
    • published
    • closed
Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/v1/forms
curl https://ffforms.com/v1/forms \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "title": "",
  "description": "",
  "slug": "",
  "status": "draft",
  "fields": []
}'
{
  "id": "string",
  "slug": null,
  "title": "string",
  "description": null,
  "status": "draft",
  "fields": [
    {
      "key": "string",
      "label": "string",
      "required": false,
      "description": "string",
      "placeholder": "string",
      "type": "text",
      "minLength": 0,
      "maxLength": 1,
      "pattern": "string"
    }
  ],
  "createdAt": "string",
  "updatedAt": "string"
}